// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: queries.sql

package db

import (
	"context"
)

const insertRow = `-- name: InsertRow :exec
INSERT INTO renovate_configs (
  platform,
  organisation,
  repo,

  config_path,
  config
) VALUES (
  ?,
  ?,
  ?,

  ?,
  ?
)
`

type InsertRowParams struct {
	Platform     string
	Organisation string
	Repo         string
	ConfigPath   string
	Config       string
}

func (q *Queries) InsertRow(ctx context.Context, arg InsertRowParams) error {
	_, err := q.db.ExecContext(ctx, insertRow,
		arg.Platform,
		arg.Organisation,
		arg.Repo,
		arg.ConfigPath,
		arg.Config,
	)
	return err
}
